﻿// ai_one_point.cpp : 此文件包含 "main" 函数。程序执行将在此处开始并结束。
// 
// 此例程是控制采集卡模拟输入通道，单通道单点采集，每次得到一个点的数据。
// 此例程适用型号：
// PCI-225x

#include "pch.h"
#include <iostream>
#include "../../lib/spcidev.h"

int main()
{
	int rst;
	int DevIndex = 0;
	float AiValue;

	// 打开设备
	rst = OpenDevice(DevIndex);
	if (rst < 0) { return rst; }

	// 设置 Ai 采集模式为单点采集
	rst = SetAiSampleMode(DevIndex, 0);
	if (rst < 0) { return rst; }

	// 设置 Ai 量程 1。
	// 对于 PCI-225x/5000 系列，函数中最后一个参数 0 无意义。
	// 对于 PCI-3000 系列，此处指定设置通道 0 的量程
	rst = SetAiRange(DevIndex, 1, 0);
	if (rst < 0) { return rst; }

	// 设置 Ai 接线方式为 RSE
	rst = SetAiConnectType(DevIndex, 0);
	if (rst < 0) { return rst; }

	// 读取模拟输入单点采集结果。
	// 此处读取通道 0
	rst = GetAiOnePoint(DevIndex, 0, &AiValue);
	if (rst < 0) { return rst; }

	printf("AiValue = %f\n", AiValue);

	// 关闭设备
	rst = CloseDevice(DevIndex);
	if (rst < 0) { return rst; }

	return 0;
}

// 运行程序: Ctrl + F5 或调试 >“开始执行(不调试)”菜单
// 调试程序: F5 或调试 >“开始调试”菜单

// 入门提示: 
//   1. 使用解决方案资源管理器窗口添加/管理文件
//   2. 使用团队资源管理器窗口连接到源代码管理
//   3. 使用输出窗口查看生成输出和其他消息
//   4. 使用错误列表窗口查看错误
//   5. 转到“项目”>“添加新项”以创建新的代码文件，或转到“项目”>“添加现有项”以将现有代码文件添加到项目
//   6. 将来，若要再次打开此项目，请转到“文件”>“打开”>“项目”并选择 .sln 文件
