﻿// di_count.cpp : 此文件包含 "main" 函数。程序执行将在此处开始并结束。
//
// 此例程是控制采集卡数字输入通道进行边沿计数
// 此例程适用型号：
// PCI-225x

#include "pch.h"
#include <iostream>
#include <Windows.h>
#include "../../lib/spcidev.h"

int main()
{
	int rst;
	int i;
	int DevIndex = 0;
	unsigned long DiCountValue;

	// 打开设备
	rst = OpenDevice(DevIndex);
	if (rst < 0) { return rst; }

	// 设置数字 I/O 方向
	// 由于 PCI-225x/3000/5000 的数字 I/O 可以设置为输入或者输出
	// 此处全部设置为输入
	// 其他数字 I/O 不支持设置的型号可以不用设置
	rst = SetDioDir(DevIndex, 0xffffffff);
	if (rst < 0) { return rst; }

	// 设置 Di 灵敏度
	rst = SetDiSensitivity(DevIndex, 20000000);
	if (rst < 0) { return rst; }

	// 设置 Di 计数边沿，设置为上升沿计数
	// 参数每一 bit 对应一个 Di 通道
	// 此处将 32 个通道全部设置为上升沿计数
	rst = SetDiCountEdge(DevIndex, 0xffffffff);
	if (rst < 0) { return rst; }

	// 使能 Di 计数功能
	rst = SetDiCountEn(DevIndex, 1);
	if (rst < 0) { return rst; }

	// 将 Di 0 计数值归零
	rst = ClearDiCountValue(DevIndex, 0);
	if (rst < 0) { return rst; }

	Sleep(10);

	// 读取 Di 计数器值
	// 此处读取 10 次
	for (i = 0; i < 10; i++)
	{
		rst = GetDiCountValue(DevIndex, 0, &DiCountValue);
		if (rst < 0) { return rst; }
		printf("Call GetDiCountVedalue %d times. DiCountValue is: %d\n", i + 1, DiCountValue);
		Sleep(1000);
	}

	// 禁用 Di 计数功能
	rst = SetDiCountEn(DevIndex, 0);
	if (rst < 0) { return rst; }

	// 关闭设备
	rst = CloseDevice(DevIndex);

	return rst;
}

// 运行程序: Ctrl + F5 或调试 >“开始执行(不调试)”菜单
// 调试程序: F5 或调试 >“开始调试”菜单

// 入门提示: 
//   1. 使用解决方案资源管理器窗口添加/管理文件
//   2. 使用团队资源管理器窗口连接到源代码管理
//   3. 使用输出窗口查看生成输出和其他消息
//   4. 使用错误列表窗口查看错误
//   5. 转到“项目”>“添加新项”以创建新的代码文件，或转到“项目”>“添加现有项”以将现有代码文件添加到项目
//   6. 将来，若要再次打开此项目，请转到“文件”>“打开”>“项目”并选择 .sln 文件
