﻿
// di_oneshot.cpp : 此文件包含 "main" 函数。程序执行将在此处开始并结束。
//
// 此例程是控制采集卡数字输入通道单次采集，需要设定每次每通道采集点数。
// 此例程适用型号：
// PCI-225x

#include "pch.h"
#include <iostream>
#include "../../lib/spcidev.h"

int main()
{
	int rst;
	int i;
	int DevIndex = 0;
	unsigned long DiValue[1000];
	unsigned long DiFifoUsdw;

	// 打开设备
	rst = OpenDevice(DevIndex);
	if (rst < 0) { return rst; }

	// 设置数字 I/O 方向
	// 由于 PCI-225x/3000/5000 的数字 I/O 可以设置为输入或者输出
	// 此处全部设置为输入
	// 其他数字 I/O 不支持设置的型号可以不用设置
	rst = SetDioDir(DevIndex, 0xffffffff);
	if (rst < 0) { return rst; }

	// 设置 Di 灵敏度
	rst = SetDiSensitivity(DevIndex, 20000);
	if (rst < 0) { return rst; }

	// 设置 Di 采集模式为 OneShot
	rst = SetDiSampleMode(DevIndex, 1);
	if (rst < 0) { return rst; }

	// 设置 Di 采样周期，10000ns，即 100kS/s
	rst = SetDiSamplePeriod(DevIndex, 10000);
	if (rst < 0) { return rst; }

	// 设置 Di OneShot 点数，采集 1000 点
	rst = SetDiOneShotCount(DevIndex, 1000);
	if (rst < 0) { return rst; }

	// 设置 Di 触发源，Di 软件触发
	rst = SetDiTrigSource(DevIndex, 1);
	if (rst < 0) { return rst; }

	// 设置 Di 准备完成，DiReady
	rst = DiReady(DevIndex, 1);
	if (rst < 0) { return rst; }

	// 发出 Di 软件触发命令
	rst = SetDiSoftTrig(DevIndex);
	if (rst < 0) { return rst; }

	// 读取 Di OneShot 得到的数据
	rst = GetDiData(DevIndex, 1000, DiValue, &DiFifoUsdw, 2000);
	if (rst < 0) { return rst; }

	printf("GetDiData Success.\n");

	// 清除 Di 软件触发标志
	rst = ClearDiSoftTrig(DevIndex);
	if (rst < 0) { return rst; }

	// 清除 Di 准备完成标志
	rst = DiReady(DevIndex, 0);
	if (rst < 0) { return rst; }

	// 关闭设备
	rst = CloseDevice(DevIndex);

	return rst;
}

// 运行程序: Ctrl + F5 或调试 >“开始执行(不调试)”菜单
// 调试程序: F5 或调试 >“开始调试”菜单

// 入门提示: 
//   1. 使用解决方案资源管理器窗口添加/管理文件
//   2. 使用团队资源管理器窗口连接到源代码管理
//   3. 使用输出窗口查看生成输出和其他消息
//   4. 使用错误列表窗口查看错误
//   5. 转到“项目”>“添加新项”以创建新的代码文件，或转到“项目”>“添加现有项”以将现有代码文件添加到项目
//   6. 将来，若要再次打开此项目，请转到“文件”>“打开”>“项目”并选择 .sln 文件
