﻿// dio_default_setting.cpp : 此文件包含 "main" 函数。程序执行将在此处开始并结束。
//
// 此例程设置数字I/O通道上电时的默认方向和 Do 上电默认值。
// 此例程适用型号：
// PCI-225x

#include "pch.h"
#include <iostream>
#include "../../lib/spcidev.h"

int main()
{
	int rst;
	int DevIndex = 0;

	// 打开设备
	rst = OpenDevice(DevIndex);
	if (rst < 0) { return rst; }

	// 设置数字 I/O 上电默认方向
	// 参数每一 bit 对应一个 数字 I/O
	// 此处全部设置为输出
	rst = SetDioDirDefault(DevIndex, 0x00000000);
	if (rst < 0) { return rst; }

	// 设置 Do 上电默认值
	// 参数每一 bit 对应一个 Do
	// 此处全部设置为 0
	rst = SetDoPowerOnValue(DevIndex, 0x00000000);
	if (rst < 0) { return rst; }

	printf("Success.\n");

	// 关闭设备
	rst = CloseDevice(DevIndex);

	return rst;
}

// 运行程序: Ctrl + F5 或调试 >“开始执行(不调试)”菜单
// 调试程序: F5 或调试 >“开始调试”菜单

// 入门提示: 
//   1. 使用解决方案资源管理器窗口添加/管理文件
//   2. 使用团队资源管理器窗口连接到源代码管理
//   3. 使用输出窗口查看生成输出和其他消息
//   4. 使用错误列表窗口查看错误
//   5. 转到“项目”>“添加新项”以创建新的代码文件，或转到“项目”>“添加现有项”以将现有代码文件添加到项目
//   6. 将来，若要再次打开此项目，请转到“文件”>“打开”>“项目”并选择 .sln 文件
