﻿// do_one_point.cpp : 此文件包含 "main" 函数。程序执行将在此处开始并结束。
//
// 此例程对采集卡数字输出通道的状态进行单次设置。
// 此例程适用型号：
// PCI-225x

#include "pch.h"
#include <iostream>
#include "../../lib/spcidev.h"

int main()
{
	int rst;
	int DevIndex = 0;

	// 打开设备
	rst = OpenDevice(DevIndex);
	if (rst < 0) { return rst; }

	// 设置数字 I/O 方向
	// 此处将所有的数字 I/O 通道设置为输出
	// 由于 PCI-225x/3000/5000 的数字 I/O 可以设置为输入或者输出
	// 此处全部设置为输入
	// 其他数字 I/O 不支持设置的型号可以不用设置
	rst = SetDioDir(DevIndex, 0x00000000);
	if (rst < 0) { return rst; }

	// 设置 Do 住处状态
	// 此处将所有的 Do 通道输出为高电平
	rst = SetDoValue(DevIndex, 0xffffffff);
	if (rst < 0) { return rst; }

	printf("Success.\n");

	// 关闭设备
	rst = CloseDevice(DevIndex);

	return rst;
}

// 运行程序: Ctrl + F5 或调试 >“开始执行(不调试)”菜单
// 调试程序: F5 或调试 >“开始调试”菜单

// 入门提示: 
//   1. 使用解决方案资源管理器窗口添加/管理文件
//   2. 使用团队资源管理器窗口连接到源代码管理
//   3. 使用输出窗口查看生成输出和其他消息
//   4. 使用错误列表窗口查看错误
//   5. 转到“项目”>“添加新项”以创建新的代码文件，或转到“项目”>“添加现有项”以将现有代码文件添加到项目
//   6. 将来，若要再次打开此项目，请转到“文件”>“打开”>“项目”并选择 .sln 文件
